Subject: bug#63674: 30.0.50; Possible miscompilation of cl-structs?

From: Andrea Corallo <[email-masked]>
Date: Wed, 24 May 2023 15:27:07 +0000

Andrea Corallo <[email-masked]> writes:

> Mattias Engdegård <[email-masked]> writes:
>
>>> After the latest changes to native compilation, I see a failure here:
>>> https://github.com/nix-community/emacs-overlay/actions/runs/5059662673/jobs/9081521991#step:6:7010. 
>>
>> CC:ing Andrea.
>
> Thanks, will look at as soon as I can.
>
> PS I merged 63679 63679 63681 as I believe are the same.
>
> Best Regards
>
>   Andrea

Okay I've just pushed b2b2be98da5 to fix this.

Essentially the native compiler needs `cl-typep' to be functional at
compile time for the types being defined in the compiled code.

It works for me, let's see if the fix is acceptable.

Thanks

  Andrea